function unew = runge_kutta_smoother(A, b, un, dt, alpha)
%alpha vector of coefficients, has length s
s=length(alpha);
unew=un;
for i=1:s,
  unew = un + alpha(i)*dt*F_rk_smooth(A, b, unew);
end
unew = un + dt*F_rk_smooth(A, b, unew);


